package ru.ulstu.extractor.heuristic.service;

import org.springframework.stereotype.Service;
import ru.ulstu.extractor.heuristic.api.StructuralUnitIdentifier;
import ru.ulstu.extractor.heuristic.model.StructuralUnit;

import java.util.List;

@Service
public class StructuralUnitService {
    private final List<StructuralUnitIdentifier> structuralUnitIdentifiers;

    public StructuralUnitService(List<StructuralUnitIdentifier> structuralUnitIdentifiers) {
        this.structuralUnitIdentifiers = structuralUnitIdentifiers;
    }

    public List<StructuralUnit> getEntities() {
        StructuralUnitIdentifier selectedIdentifier = structuralUnitIdentifiers.stream()
                .filter(StructuralUnitIdentifier::canAppliedToProject)
                .findAny()
                .orElseThrow(() -> new RuntimeException("Identifier not found"));
        return selectedIdentifier.getEntityClasses();
    }
}
